Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment.resolver
Class AARFileBasedURIResolver

    java.lang.Object
      org.apache.ws.commons.schema.resolver.DefaultURIResolver
          org.apache.axis2.deployment.resolver.AARFileBasedURIResolver

All Implemented Interfaces:
  org.apache.ws.commons.schema.resolver.CollectionURIResolver, org.apache.ws.commons.schema.resolver.URIResolver

    public class AARFileBasedURIResolver

extends org.apache.ws.commons.schema.resolver.DefaultURIResolver

A custom URI resolver that can

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`AARFileBasedURIResolver(File aarFile)`

Method Summary
`InputSource` | `resolveEntity(String targetNamespace, String schemaLocation, String baseUri)`

Methods inherited from class org.apache.ws.commons.schema.resolver.DefaultURIResolver
`getCollectionBaseURI, getFileURL, getURL, isAbsolute, setCollectionBaseURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### AARFileBasedURIResolver

    public AARFileBasedURIResolver(File aarFile)

Method Detail

### resolveEntity

    public InputSource resolveEntity(String targetNamespace,
                                     String schemaLocation,
                                     String baseUri)

  Specified by:
    `resolveEntity` in interface `org.apache.ws.commons.schema.resolver.URIResolver`
  Overrides:
    `resolveEntity` in class `org.apache.ws.commons.schema.resolver.DefaultURIResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.